Bug 51563 - Editor Effect throws exception in Xamarin Forms 2.3.3.180
Summary: Editor Effect throws exception in Xamarin Forms 2.3.3.180
Status: CONFIRMED
Alias: None
Product: iOS
Classification: Xamarin
Component: Mono runtime / AOT compiler (show other bugs)
Version: master
Hardware: Macintosh Mac OS
: Normal critical
Target Milestone: Untriaged
Assignee: Zoltan Varga
URL:
Depends on:
Blocks:
 
Reported: 2017-01-16 19:54 UTC by Rasmus Christensen
Modified: 2017-07-13 17:56 UTC (History)
16 users (show)

Tags: ac ios
Is this bug a regression?: ---
Last known good build:


Attachments
sample code (73.69 KB, application/zip)
2017-01-16 19:54 UTC, Rasmus Christensen
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 51563 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
CONFIRMED

Description Rasmus Christensen 2017-01-16 19:54:22 UTC
Created attachment 19359 [details]
sample code

Description of Problem:
Exception is thrown when effect is applied to Editor on iOS

Steps to reproduce the problem:
1.Create a new XF project 
2.Add an Editor component 
3.make an effect 
4.apply the effect
5.start the app


Actual Results:
Exception

Expected Results:
Editor with effect applied

How often does this happen? 
everytime

Additional Information:
Xamarin Forms 2.3.3.180
Comment 1 iain 2017-01-17 12:51:40 UTC
Thanks for filing the report. It appears to be an exception in the Xamarin.Forms code, so I've reassigned it to that team.
Comment 2 Rasmus Christensen 2017-02-01 10:20:41 UTC
Having the same issue using Beta Channel
Comment 3 Chris King 2017-06-23 18:35:37 UTC
Customer expects the message of unhandled exceptions to be shown if a debugger is attached. What actually happens is the app hangs (sometimes it'll issue a generic exception message tho I cannot reproduce reliably).
 
Throwing a try/catch around the body of EditorEffectAppPage.ctor will catch an exception with the message:

Xamarin.Forms.Xaml.XamlParseException: Position 9:5. Cannot assign property "Effect": Property does not exists, or is not assignable, or mismatching type between value and property

This message should be displayed after removing the try/catch.

In this case, changing the name "Effect" to "Effects" will prevent the exception.
Comment 4 Joaquin Jares 2017-06-23 18:54:30 UTC
I fixed the hang for 15.3, but I need to reassign this to Runtime for never actually returning the proper exception message.
Comment 5 Rodrigo Kumpera 2017-07-11 16:26:22 UTC
UE capture in the products doesn't depend on the runtime, shipping to the SDK team.